summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoshua Kinard <kumba@gentoo.org>2019-10-06 23:03:54 -0400
committerJoshua Kinard <kumba@gentoo.org>2019-10-06 23:04:41 -0400
commit3ce860eb66d47e1b4c5db09c3ee5426c63202a16 (patch)
tree3f0493020cb8ea2db575a1c7919c836d05dc6bf3 /sys-kernel/mips-sources
parentdev-libs/openssl: x86 stable (bug #696010) (diff)
downloadgentoo-3ce860eb66d47e1b4c5db09c3ee5426c63202a16.tar.gz
gentoo-3ce860eb66d47e1b4c5db09c3ee5426c63202a16.tar.bz2
gentoo-3ce860eb66d47e1b4c5db09c3ee5426c63202a16.zip
sys-kernel/mips-sources: Update LTS kernels, remove 4.17, add 4.19
4.17.19 removed 4.19.77 added All remaining sources updated to latest LTS Signed-off-by: Joshua Kinard <kumba@gentoo.org> Package-Manager: Portage-2.3.76, Repoman-2.3.17
Diffstat (limited to 'sys-kernel/mips-sources')
-rw-r--r--sys-kernel/mips-sources/Manifest17
-rw-r--r--sys-kernel/mips-sources/mips-sources-4.14.147.ebuild (renamed from sys-kernel/mips-sources/mips-sources-4.14.143.ebuild)2
-rw-r--r--sys-kernel/mips-sources/mips-sources-4.18.20.ebuild2
-rw-r--r--sys-kernel/mips-sources/mips-sources-4.19.77.ebuild (renamed from sys-kernel/mips-sources/mips-sources-4.17.19.ebuild)34
-rw-r--r--sys-kernel/mips-sources/mips-sources-4.4.195.ebuild (renamed from sys-kernel/mips-sources/mips-sources-4.4.192.ebuild)0
-rw-r--r--sys-kernel/mips-sources/mips-sources-4.9.195.ebuild (renamed from sys-kernel/mips-sources/mips-sources-4.9.192.ebuild)2
6 files changed, 25 insertions, 32 deletions
diff --git a/sys-kernel/mips-sources/Manifest b/sys-kernel/mips-sources/Manifest
index a7db1f67575..84fef063dec 100644
--- a/sys-kernel/mips-sources/Manifest
+++ b/sys-kernel/mips-sources/Manifest
@@ -1,20 +1,19 @@
DIST linux-4.14.tar.xz 100770500 BLAKE2B 85dc4aa953fe65e273a24473d8de98e4f204f97c43be9fc87cf5be01f796f94cfde5c8f9c84619751f1cac51f83ce0b4681fb19c5f2965a72d4a94fe5577846a SHA512 77e43a02d766c3d73b7e25c4aafb2e931d6b16e870510c22cef0cdb05c3acb7952b8908ebad12b10ef982c6efbe286364b1544586e715cf38390e483927904d8
-DIST linux-4.17.tar.xz 102165892 BLAKE2B b9e1fe2c063d2761b4d54594b841f6591fd6f5b634a402c07e0fa5518a2b271293d97c5a7a8e3c30c9c4d78df16bf20a4f0befe998c9a9393bb3290d2df1dda3 SHA512 4d9de340a26155a89ea8773131c76220cc2057f2b5d031b467b60e8b14c1842518e2d60a863d8c695f0f7640f3f18d43826201984a238dade857b6cef79837db
DIST linux-4.18.tar.xz 101781564 BLAKE2B 138bdc49dc8871e5566b5e23a9e5ed0e68fff480a7a04fc659a9efe2d4bcc778ac01368a32bc5d1dbde870102ce7294b9d315f81c4e6e762ee781135e83033f2 SHA512 950eb85ac743b291afe9f21cd174d823e25f11883ee62cecfbfff8fe8c5672aae707654b1b8f29a133b1f2e3529e63b9f7fba4c45d6dacccc8000b3a9a9ae038
+DIST linux-4.19.tar.xz 103117552 BLAKE2B 1dbf16cf410867412d17568fe42bc1e90c034183b654d270b650621ff7664a321950943d0639205bc1ee7ef6210be170c1f2c785a042ed8a4ec5e3a486d890e0 SHA512 ab67cc746b375a8b135e8b23e35e1d6787930d19b3c26b2679787d62951cbdbc3bb66f8ededeb9b890e5008b2459397f9018f1a6772fdef67780b06a4cb9f6f4
DIST linux-4.4.tar.xz 87295988 BLAKE2B f260f1858994f5d481fd078c86e51bddbc958f7c5d1586f60dced772e1b1107ecf3aae0558c3e6f39c36f7d3aa1e6cd1e5c64ec9d6f2218f47b98413da6466fb SHA512 13c8459933a8b80608e226a1398e3d1848352ace84bcfb7e6a4a33cb230bbe1ab719d4b58e067283df91ce5311be6d2d595fc8c19e2ae6ecc652499415614b3e
DIST linux-4.9.tar.xz 93192404 BLAKE2B 83ae310b17d47f1f18d6d28537c31e10f3e60458c5954c4611158ca99e71cc0da2e051272eabf27d5887df4a7cb4a5dd66ff993077c11d2221e92d300a0b48d7 SHA512 bf67ff812cc3cb7e5059e82cc5db0d9a7c5637f7ed9a42e4730c715bf7047c81ed3a571225f92a33ef0b6d65f35595bc32d773356646df2627da55e9bc7f1f1a
-DIST mips-sources-4.14.0-patches-v2.tar.xz 287560 BLAKE2B 9fb6b07dcb0336be95c86346e13f68877e891a2c97084ce798e3c39cf57a71832ae4ae5b74a0f60ab6f26ed8f08a35fc3704b34361a8426136055d6fb700dac9 SHA512 e163ed8cdef9a027b55794b168fb4dac77dc871c209463ac8344ef932757d48ce39f44af4ba7312ee27ce04b175a3ea2f6eaa8a7929d6beebcbaa3de4a764cd6
-DIST mips-sources-4.17.0-patches-v1.tar.xz 288188 BLAKE2B 774b9c4b68d719a8f7dada28c926a4a52680081d770e896013a2e037e96d3ad15ae30ebdddedf105c0db27cd63488d915efb794922c5b3349baa2bd042544df4 SHA512 24c7a708b42beb39e039bdbebe6dbca3aad5a7c24134f2b05b0d3afe2dc8736c97520ed279075bec538322ff53517fa2ec6a0f0828369e28e8efd0996dd0b678
+DIST mips-sources-4.14.0-patches-v1.tar.xz 287968 BLAKE2B c0bd76f91f823516fbb39fbba02f3bd12aba25b289170c8ae46866d60c24c7e92584addbc270b349872c5acadfe17da62179e15b72796ec62cadc66e0c3b7dd1 SHA512 a78375e8b7c5007f26a5ff517eeecf088636ad571c24eee986773b6039a7b4168b4c8821e6245b2c8c33c7647b75376a81d3ce8cc50d6a22d864d07f517ac640
DIST mips-sources-4.18.0-patches-v2.tar.xz 288096 BLAKE2B 13a9e3a5e4d59357b8747c7143cdd935e39038fcd098d114755f2e4a2ebc52607e9913df9d898824be2135daee7e467587eab219e9dfaabdd7fc266eb3927a5b SHA512 b6a14393fc3cb9cd689d070b5df806773ce8531a4f8214fe24671eba9fbc5075fee70f7a3ea0bbc6c7fdb06a3283c4679386bef4af8206bbc4ad80d83fdd2c27
+DIST mips-sources-4.19.0-patches-v1.tar.xz 290004 BLAKE2B 5d6c88dbcf994d299c5abb6031e32d750a65c71f58b1f2520660fb32c62b97812597bc8b2026c6a77ad68daac5dd3b9e3d870039c8add93d3101054132033be5 SHA512 37d50436c65fef5774ca0e07b6dcc6bc338f18a596084e09a919156154e950a5f32f6266df791b7f2e39c494b1a4251989198500ea96e62c11c2f9b29b81e633
DIST mips-sources-4.4.0-patches-v2.tar.xz 156396 BLAKE2B 7b6a50e3768d7d67b525457a8a1b7ed024b3c8762e37734d250478bb0fc4d9d4c76598a45afcd239a5dc1dcf6052c24c69111aeccec11951093396212910c5a9 SHA512 4186ee382037ec32126976ba453f78fc80c627a4ebdd79d8462f12559eb06dce25f926f3c205c7c4e5032cb501942ee10c8cb3a17339352cec3cf565c669dd52
-DIST mips-sources-4.9.0-patches-v2.tar.xz 233540 BLAKE2B afd8c346ee7944edcd4efe7f2baba9a735fd1a883465baffc87681792d5fa8dab1d416ba4b8e52afad439fc8f3b26c00e7b747ed93ea323b30d44121563adbab SHA512 4690ce5e4fbee8610c9a996cfe9d861c101fc2d92af6605e3a0e114c3ae8171db2683e71cb3629f6b65076e6b2c29d2093c12e5afe0cdafb5ebe2517ef0103c1
+DIST mips-sources-4.9.0-patches-v1.tar.xz 233620 BLAKE2B c976ddb9cc53c07c8c3077999a324746fafed3c7d913434d403baf08396196216aeb58ca61c434180e00a6b14ef939b3e86497236e44f9a5e1365357ea0f64ff SHA512 d786705277e1837f725c7b5a239a19744a7bdf8767c0ee75613270eb9592aeaee1cd0c6f05edb67abf93597d0f5c6fc3826d76847cd6b2aaa6cb21256720d19f
DIST mipsgit-4.14.0-20180128.diff.xz 1008 BLAKE2B 2a317ff97aab096883680c6b653e993aee31994e6caec52c52dfbbb61f1dc1f25d03ebd3182fa122923a67aeee0aa598b36e603692333e4c9ccdc741fd456d96 SHA512 378deb1bc1d10a6b4912e5e4a0d6fcab28952e2e59c35fc879601841cf8160081b318a2598ef74db225e95f0f26483f6b9a56a348811b1ee7b8934391dd271ae
-DIST mipsgit-4.17.0-20180705.diff.xz 1008 BLAKE2B 07d316dd9dd0c16033763d066e4d703ee8e2a107ce0eb43dbabf96dccaebb7efb62d6b77e17adb59effd14f6af1b5b6bbc8bcfdb14fc4036eef2f41752bfee9b SHA512 9d5c85716de6da8880d8221673957aa528cb59e3e882d8471ec253943501d5accd9197a7358d933060ebea344c3b50fdf53ca28792f291beb587df52a7febd9a
DIST mipsgit-4.18.0-20181112.diff.xz 996 BLAKE2B 4f233173c587bf717229b469a0f25c172a72987bfbd0fc38723ec6483293ae966867274ef1799039fa7c0e2425678df525361e608c6f659edd3c6701406a8603 SHA512 b5abf06bc6d9bb80bd51670885b9639fdd2a489dadbc45b99f221025a2f4bf2e0ec70691c5ee840b1d73d655fad152244b8aa4988eec519389caebff8c93d0d9
DIST mipsgit-4.4.0-20160123.diff.xz 1908 BLAKE2B a8be92376d1360246359e8d3674fa30727363297d0f3c1f1fa41ad031235fcd59cfca3fa8645d2fd8ab34fcb79b49f622a28eaddd80da76cf23afc05970d7bae SHA512 0086c470064dd4e5c2fefd8161b70200475659fe925e68d374ff139b506147c39163f366be689bbb92a9aaf72e8c58cdaaaff5def6718c5e87ff7e047551a1f8
DIST mipsgit-4.9.0-20161216.diff.xz 1120 BLAKE2B 1207d943aa39d157cf1ed87918082fe53c26e5342f8249cce1c21b47d38d9a33ec3fb024cb6358cb659e8630e58840d67570be731fb05e9124d86387793e045b SHA512 d1d8d95661d349826e2978d2259df9e30dbd6779a6506fe769dd8e60699e8461920b290a2064a432b8c3bd95888854f4dbcc2ba40929c58f0dd165fcb7894e15
-DIST patch-4.14.143.xz 2854228 BLAKE2B 5b5383d9b7fe94bec33d66b4f733fb44657a807eeb63abc79ec19d127c2216543ce75abaedcd9a6ae151288a6be13b6d250d4d40ee329d00bfa4344ece93424a SHA512 ccbeab5d2f7f985067e8d88cf5a42fbc44a2f379914a9f92bcd6a0823d8f501d6de278806128f218d94ba68f296c7c9b7b5c824c8808fbdcabc8697b69178edb
-DIST patch-4.17.19.xz 463572 BLAKE2B 6097f24f8663ade71204d83e4b89bc15f3d0b0f906cb4a0e6a9aa32705fdbd7e8855337acca37697ef93bb3f2c696ce60bab2d4e02f1e20a0113ca02c7df61a7 SHA512 57fab939df862c3807d1ddd6461b19f85b3c0aba83203f327cf174f9d6e33c79e996362cabbb44014e03fe1eb77cf0232944927ae95aa1e51ef43b153d6343ab
+DIST patch-4.14.147.xz 2900108 BLAKE2B 9a0e23d6e87df89abac3c803bbd42afbfd49a89adfdb5b1ac8cfa83da4e0f0bb7222c515033d84ca977f1c450c0aa16b8a9579bc6a8e0ad42c8da5acb6272aef SHA512 6b51680b6b5c11bc16cffef7b1b8b59c5e1bdf6c2a85aa183f180505567080f2476f9bf486ecf93ed9b209c8234c03895cbfb0283848de456dbc40ebf3f07e39
DIST patch-4.18.20.xz 652212 BLAKE2B 7351cd9ee275fe7687e0260262763faa54fdbec9ec2c6cbc2d8169b900227ab82851ed43f3d1052a6e59b547380a19488dec4e8e64ba2985c0a460dad96124ec SHA512 c44403f5fb71a0dcbc8c39037cfc982d73edc2f411ec9cef0eb0220d422ef369b57e849e9047bea1ca734fa4706483e72c0e91a4be0c31e4df45223b388091d4
-DIST patch-4.4.192.xz 2704412 BLAKE2B 022847be3a4ccdfe48b7e7e30a739646b20147c2b679bed4e83abfb282c028586d7bb07640ea5948f45e23c8d22595c51c43829844d13a166024c5036b09c086 SHA512 ae2b74783ec9dbb7e8d4f7b467ede4e09256dc7dff0a90b966e3739a2b0535964f9527cde162411cc101295a32e53317ef182f752fd2fd4a0bafc2f046ad0266
-DIST patch-4.9.192.xz 2960500 BLAKE2B dc5055b6ed7f8b8111c5341d353ca1cc07558c5f0595d39cc4f395b1c0166d23587c896b439139c641cd31fd486709e38a52ce777345b9f14f30aa011c8db958 SHA512 aeddc83f898c1eb1a3aab3ebee766c7b6b3d5e12833ac7ef30e6547988cabdd8acffc9d6c835ed850db07e452f7a5f45123c678c9e5030c8c7cae734e0bb0b9e
+DIST patch-4.19.77.xz 1869860 BLAKE2B 1c690c379b02eb9f6bd9537c39347061d056f8126e5a5605fbb606fdb0b4d94cfe7828caf40b964e6d165c279459996637343a43df985fd0c83b09f0b2938739 SHA512 0a46d29aed85d89f07c2b55b50cd0172827ce9af49aba8039472ab014f6237029988765741f4605853e736ef932cb8fe932d0ad26762b1bbb6b37b8de9b969bc
+DIST patch-4.4.195.xz 2725288 BLAKE2B d940ed353f741eb1cdebdb10929e7fad2f01fae664b29a5043289aae23ef9e06d09d62425b7b40062debfb66ba9804b3e06da5d73b9d292edcb23daf6e99cf64 SHA512 1782bd8e1d27d599434ec0283395029f7a338eeb09399b91123d71ed1e829009b1b6fc6d8eca647464fa8628b88385747a73a376a8a4241e5903ca811d88c36c
+DIST patch-4.9.195.xz 2992460 BLAKE2B 3ed92a43fd419f809e3d3b544c17c5ab71278f8d84b0f21d408e30e773ee8ecf4f49dfac004294233dba8cfe8fa7ea321680123b314269b971f9ee3046f60fa5 SHA512 55cb6454978ce655ea7c27fe5e3074aa0cd8078f0c8064280fd0cb0a2b4dc4c1e9b453ce5de37b2a6e66245cf574096ad6b96dc461f58dad046e38d2b60d102f
diff --git a/sys-kernel/mips-sources/mips-sources-4.14.143.ebuild b/sys-kernel/mips-sources/mips-sources-4.14.147.ebuild
index b35a060561a..9a2894430c7 100644
--- a/sys-kernel/mips-sources/mips-sources-4.14.143.ebuild
+++ b/sys-kernel/mips-sources/mips-sources-4.14.147.ebuild
@@ -8,7 +8,7 @@ EAPI="6"
# Version Data
GITDATE="20180128" # Date of diff between kernel.org and lmo GIT
-GENPATCHREV="2" # Tarball revision for patches
+GENPATCHREV="1" # Tarball revision for patches
# Directories
S="${WORKDIR}/linux-${OKV}-${GITDATE}"
diff --git a/sys-kernel/mips-sources/mips-sources-4.18.20.ebuild b/sys-kernel/mips-sources/mips-sources-4.18.20.ebuild
index 89fb9af7687..51892d93fef 100644
--- a/sys-kernel/mips-sources/mips-sources-4.18.20.ebuild
+++ b/sys-kernel/mips-sources/mips-sources-4.18.20.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# EAPI Version
diff --git a/sys-kernel/mips-sources/mips-sources-4.17.19.ebuild b/sys-kernel/mips-sources/mips-sources-4.19.77.ebuild
index cd1ccaadfa6..4b4b55e8863 100644
--- a/sys-kernel/mips-sources/mips-sources-4.17.19.ebuild
+++ b/sys-kernel/mips-sources/mips-sources-4.19.77.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# EAPI Version
@@ -7,11 +7,10 @@ EAPI="6"
#//------------------------------------------------------------------------------
# Version Data
-GITDATE="20180705" # Date of diff between kernel.org and lmo GIT
GENPATCHREV="1" # Tarball revision for patches
# Directories
-S="${WORKDIR}/linux-${OKV}-${GITDATE}"
+S="${WORKDIR}/linux-${OKV}"
MIPS_PATCHES="${WORKDIR}/mips-patches"
# Kernel-2 Vars
@@ -19,7 +18,7 @@ K_SECURITY_UNSUPPORTED="yes"
K_NOUSENAME="yes"
K_NOSETEXTRAVERSION="yes"
K_NOUSEPR="yes"
-K_BASE_VER="4.16"
+K_BASE_VER="4.18"
K_FROM_GIT="yes"
ETYPE="sources"
@@ -33,7 +32,7 @@ BASE_KV="$(ver_cut 1-2).0"
[[ "${EXTRAVERSION}" = -rc* ]] && KVE="${EXTRAVERSION}"
# Portage Vars
-HOMEPAGE="https://www.linux-mips.org/ https://www.gentoo.org/"
+HOMEPAGE="https://www.kernel.org/ https://www.linux-mips.org/ https://www.gentoo.org/"
KEYWORDS="-* ~mips"
IUSE="experimental ip27 ip28 ip30"
RDEPEND=""
@@ -59,14 +58,10 @@ SV_IP28="" # DO_IP28 == "no", IP28
SV_IP30="" # DO_IP30 == "no", IP30
SV_IP32="" # DO_IP32 == "no", IP32
-DESCRIPTION="Linux-Mips GIT sources for MIPS-based machines, dated ${GITDATE}"
+DESCRIPTION="Kernel.org sources for MIPS-based machines"
SRC_URI="${KERNEL_URI}
- mirror://gentoo/mipsgit-${BASE_KV}${KVE}-${GITDATE}.diff.xz
mirror://gentoo/${PN}-${BASE_KV}-patches-v${GENPATCHREV}.tar.xz"
-UNIPATCH_STRICTORDER="yes"
-UNIPATCH_LIST="${DISTDIR}/mipsgit-${BASE_KV}${KVE}-${GITDATE}.diff.xz"
-
#//------------------------------------------------------------------------------
err_disabled_mach() {
@@ -193,10 +188,8 @@ show_ip22_info() {
show_ip27_info() {
echo -e ""
- ewarn "Heavy disk I/O on recent kernels may randomly trigger a VM_BUG_ON_PAGE()"
- ewarn "in move_freepages() in mm/page_alloc.c. The exact trigger cause is"
- ewarn "unknown at this time. Please report any oops messages from this"
- ewarn "bug to bugs.gentoo.org (assign to mips@gentoo.org)"
+ ewarn "IP27 on the Origin 2k/Onyx2 systems may be prone to sudden hard lockups."
+ ewarn "The exact trigger is unknown at this time."
echo -e ""
}
@@ -321,16 +314,17 @@ src_unpack() {
# Rename the source tree to match the linux-mips git checkout date and
# machine type.
local fkv="${F_KV%-*}"
- local v="${fkv}-${GITDATE}"
+ local v="${fkv}"
for x in {ip27,ip28,ip30}; do
use ${x} && v="${v}.${x}" && break
done
- mv "${WORKDIR}/linux-${fkv/_/-}" "${WORKDIR}/linux-${v}" || die
- S="${WORKDIR}/linux-${v}"
- # Set the EXTRAVERSION to linux-VERSION-mipsgit-GITDATE
- EXTRAVERSION="${EXTRAVERSION}-mipsgit-${GITDATE}"
- unpack_set_extraversion
+ local old="${WORKDIR}/linux-${fkv/_/-}"
+ local new="${WORKDIR}/linux-${v}"
+ if [ "${old}" != "${new}" ]; then
+ mv "${old}" "${new}" || die
+ fi
+ S="${new}"
}
src_prepare() {
diff --git a/sys-kernel/mips-sources/mips-sources-4.4.192.ebuild b/sys-kernel/mips-sources/mips-sources-4.4.195.ebuild
index a06155ed17a..a06155ed17a 100644
--- a/sys-kernel/mips-sources/mips-sources-4.4.192.ebuild
+++ b/sys-kernel/mips-sources/mips-sources-4.4.195.ebuild
diff --git a/sys-kernel/mips-sources/mips-sources-4.9.192.ebuild b/sys-kernel/mips-sources/mips-sources-4.9.195.ebuild
index 6ed3f51e862..2df81564e5b 100644
--- a/sys-kernel/mips-sources/mips-sources-4.9.192.ebuild
+++ b/sys-kernel/mips-sources/mips-sources-4.9.195.ebuild
@@ -8,7 +8,7 @@ EAPI="6"
# Version Data
GITDATE="20161216" # Date of diff between kernel.org and lmo GIT
-GENPATCHREV="2" # Tarball revision for patches
+GENPATCHREV="1" # Tarball revision for patches
# Directories
S="${WORKDIR}/linux-${OKV}-${GITDATE}"